Subject: Bug#647 closed by Mihai Moldovan <[email-masked]> (Re: [X2Go-Dev] Works with XQartz/X11 2.7.8 beta and x2go server update)

From: [email-masked] (X2Go Bug Tracking System)
Date: Wed, 15 Nov 2017 00:55:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goclient package:

#647: Mac client cannot find X server in OSX 10.10 (Yosemite)

It has been closed by Mihai Moldovan <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mihai Moldovan <[email-masked]> by
replying to this email.

-- 
647: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=647
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Works with XQartz/X11 2.7.8 beta and x2go server update
From: Mihai Moldovan <[email-masked]>
To: John Eppley <[email-masked]>, [email-masked]
Date: Wed, 15 Nov 2017 01:50:55 +0100

Control: close -1

On 10/28/2014 07:58 PM, John Eppley wrote:
> I upgraded the x2go server to 4.0.1.18-0~949~ubuntu12.04.1 and X11 on the client
> to the Beta release. The connection works now. 
> 
> It still works if I roll back to X11 2.7.7. 

Either the X server crashed for some random reason, or you probably just forgot
to log out and back in after installing xorg-server(-devel) via MacPorts.

Closing.

Mihai

Subject: Mac client cannot find X server in OSX 10.10 (Yosemite)
From: John Eppley <[email-masked]>
To: submit <[email-masked]>
Date: Mon, 20 Oct 2014 08:25:40 -1000

Package: x2goclient
I am running the Aug 8th version of the Mac Client on the OSX 10.10 preview
and get an error when I try to connect to a server. I've attached a screen
shot of the error and below is taken from ~/.x2go/S-jmeppley-.../sessions:

Socket: PANIC! Failed to resolve address of
'/private/tmp/com.apple.launchd.bZMPGSaE78/org.macosforge.xquartz'.
Loop: PANIC! Unknown display host
'/private/tmp/com.apple.launchd.bZMPGSaE78/org.macosforge.xquartz'.

X11 version: "XQuartz 2.7.7 (xorg-server 1.15.2)"

The x2go server is running on Ubuntu 12.04

server package versions:
x2goserver: "4.0.1.15-0~847~ubuntu12.04.1"
x2goserver-xsession: "4.0.1.18-0~949~ubuntu12.04.1"
nxagent: "2:3.5.0.27-0~446~ubuntu12.04.1"

I can connect to the same server using OSX 10.9 with no errors.